<?
$sub_menu = "100700";
include_once("./_common.php");

if ($is_admin != "super")
    alert("拒绝访问！只有管理员才可以访问！", $g4[path]);

$g4[title] = "删除缓存";
include_once("./admin.head.php");
echo "请在提示'执行成功'请勿关闭浏览器或离开此页面<br><br>";
echo "<span id='ct'></span>";
include_once("./admin.tail.php");
flush();

$session_path = "$g4[path]/data/session";  // 缓存路径 
if (!$dir=@opendir($session_path)) { 
  echo "无法打开缓存目录 请检查权限"; 
} 

$cnt=0;
while($file=readdir($dir)) { 
	
    if (!strstr($file,'sess_')) { 
	    continue; 
	} 

    if (strpos($file,'sess_')!=0) { 
	    continue; 
	} 

	if (!$atime=@fileatime("$session_path/$file")) { 
	    continue; 
	} 
	if (time() > $atime + (3600 * 6)) {  //设定时间为秒 默认default : 6小时前
        $cnt++;
	    $return = unlink("$session_path/$file"); 
	    echo "<script>document.getElementById('ct').innerHTML += '$session_path/$file<br/>';</script>\n";

        flush();

        if ($cnt%10==0)
            echo "<script>document.getElementById('ct').innerHTML = '';</script>\n";
	} 
} 
echo "<script>document.getElementById('ct').innerHTML += '<br><br>删除缓存{$cnt}件执行成功.<br><br>您现在可以安全关闭浏览器或离开此页面';</script>\n";
?>